Update Stack Connection
curl --request PATCH \
--url https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"env_map": {}
}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({env_map: {}})
};
fetch('https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id}"
payload = { "env_map": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id}"
payload := strings.NewReader("{\n \"env_map\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Connections
Update Stack Connection
Replaces the variable names of a stack connection.
PATCH
/
v1
/
stacks
/
{stack_id}
/
bindings
/
{binding_id}
Update Stack Connection
curl --request PATCH \
--url https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"env_map": {}
}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({env_map: {}})
};
fetch('https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id}"
payload = { "env_map": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/stacks/{stack_id}/bindings/{binding_id}"
payload := strings.NewReader("{\n \"env_map\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Replaces the whole
env_map of a connection. Needs the stacks:write scope when called with an API key.
string
required
The stack ID.
string
required
The connection ID.
string
The workspace the stack belongs to, when you act on it as the workspace owner.
object
required
Variable name to what it receives. The allowed values are listed in Create Stack Connection.
Response
The connection withrestart_required and apps_to_restart. Restart the listed applications to make them read the new names.
Errors
| Status | Code | When |
|---|---|---|
| 400 | VALIDATION_ERROR | A value is not valid for the target of the connection. |
| 409 | ENV_DUPLICATE_KEY | A variable name is already managed by another connection. |
| 403 | WORKSPACE_OWNER_ONLY | You are a workspace member, not the owner. |
| 404 | STACK_BINDING_NOT_FOUND | The stack has no connection with that ID. |
Last modified on October 28, 2026